<?php
$front_messages = __('front_messages', true, false);

switch ($tpl['donation_arr']['payment_method'])
{
	case 'paypal':
		echo $front_messages[1];
		if (pjObject::getPlugin('pjPaypal') !== NULL)
		{
			$controller->requestAction(array('controller' => 'pjPaypal', 'action' => 'pjActionForm', 'params' => $tpl['params']));
		}
		break;
	case 'authorize':
		echo $front_messages[2];
		if (pjObject::getPlugin('pjAuthorize') !== NULL)
		{
			$controller->requestAction(array('controller' => 'pjAuthorize', 'action' => 'pjActionForm', 'params' => $tpl['params']));
		}
		break;
	case 'bank':
		echo $front_messages[3] . "<br/>" .nl2br(pjSanitize::html($tpl['option_arr']['o_bank_account']));
		break;
	case 'creditcard':
	case 'cash':
	default:
		echo $front_messages[3];
}

?>